Get iteration report files

GET
/api/v2/hub/iteration-reports/{id}/extension/{extension}

Get iteration report files for a specific report ID and file extension.

AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Example: 'Bearer {token}'

In: header

Path Parameters

id*string

The unique identifier of the report.

Formatuuid
extension*string

The file extension.

Query Parameters

sort_by?string

Sort by field name (optional). Available fields: "starred", "Type", "Name", "Size", "CreatedDate"

name?string

File name used for filtering. Optional filter operators can be applied to refine the search:

  • equal (default)
  • contains
  • startswith
  • endswith
page?integer

Page number (1-based). Default is 1. Ignored when get_all = true.

Formatint32
Range1 <= value <= 2147483647
page_size?integer

Number of items per page. Default is 10. Maximum is 100. Ignored when get_all = true.

Formatint32
Range1 <= value <= 50
get_all?boolean

When true, pagination is disabled and all items are returned.

sort_direction?string

Sort direction: "asc" or "desc". Default is "asc" (optional)

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v2/hub/iteration-reports/497f6eca-6276-4993-bfeb-53cbbbba6f08/extension/string"
{  "isSuccess": true,  "error": {},  "errorDetails": "string",  "message": "string",  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "reportId": "836df459-dc40-4aa1-972a-6eb0a864dff9",    "reportName": "string",    "reportAvailableFormats": [      "string"    ],    "reportDelete": true,    "isIteration": true,    "occurrenceId": "740a3903-0839-47b4-bce7-bee5e46cbf4a",    "name": "string",    "fullName": "string",    "type": "string",    "extension": "string",    "thumbnailPath": "string",    "size": 0,    "starred": true,    "typeMime": "string",    "lastStarDate": "2019-08-24T14:15:22Z",    "createdDate": "2019-08-24T14:15:22Z",    "fileOccurrences": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "fileId": "a1c6a2ab-4b01-4253-b4c9-70e04b3b48fc",        "name": "string",        "fullName": "string",        "extension": "string",        "path": "string",        "size": 0,        "typeMime": "string",        "createdDate": "2019-08-24T14:15:22Z"      }    ]  },  "resultInfo": {    "page": 0,    "perPage": 0,    "totalCount": 0,    "totalPages": 0,    "hasPreviousPage": true,    "hasNextPage": true  }}